%define name_alternative TaskCoach
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           taskcoach
Version:        0.76.0
Release:        1%{?dist}
Summary:        Your friendly task manager
Summary(pl):    Twój przyjazny menadżer zadań
Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.taskcoach.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name_alternative}-%{version}.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel wxPython >= 2.8 desktop-file-utils
Requires:       hicolor-icon-theme wxPython

%description
Task Coach is a simple open source todo manager to
manage personal tasks and todo lists. It grew out of a
frustration that well-known task managers, such as those
provided with Outlook or Lotus Notes, do not provide
facilities for composite tasks. Often,
tasks and other things todo consist of several activities.
Task Coach is designed to deal with composite tasks.

%description -l pl
Program pozwala na bardzo precyzyjne zapisywanie zadań i
kontrolownie stanu ich wykonywania. Każde zadanie może mieć
w sobie dowolną ilość 'subzadań'. Jak w tradycyjnym 
oprogramowaniu typu PIM,nadaje się im kategorię, czas wykonania 
oraz przypomnienie.Do zadań można dołączać różnego 
rodzaju załączniki, przeciągając je przykładowo z wiadomości pocztowej. 
Task Coach kontroluje status wykonania każdego zadania i 'subzadania' 
oznaczając je stosownym kolorem w zestawieniu.

%prep
%setup -q -n %{name_alternative}-%{version}
rm -rf taskcoachlib/bin.in/
chmod a-x README.txt LICENSE.txt

%build
%{__python} make.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} make.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_bindir}/%{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}
#chmod a+x $RPM_BUILD_ROOT%{python_sitelib}/%{name}lib/thirdparty/desktop.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 -p %{SOURCE1}   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%if 0%{?fedora} >= 9
%{python_sitelib}/%{name_alternative}-*.egg-info
%endif
%{_bindir}/%{name}
%{python_sitelib}/%{name}lib/
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%doc README.txt LICENSE.txt
%exclude %{python_sitelib}/buildlib/

%changelog
* Mon Nov 09 2009 Rakesh Pandi <rakesh@fedoraproject.org> - 0.76.0-1
- Updated to 0.76.0

* Mon Sep 21 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.74.1-1
- Updated to 0.74.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.72.5-1
- Updated to 0.72.5

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.71.5-1
- Updated to 0.71.5

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.69.1-3
- Rebuild for Python 2.6

* Thu Mar 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.69.1-2
- Increase release

* Thu Mar 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.69.1-1
- Update to 0.69.1

* Thu Feb 21 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-7
- Correct license

* Thu Feb 21 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-6
- Correct license

* Thu Feb 07 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-5
- Correct Rs

* Thu Feb 07 2008 José Matos <jamatos@fc.up.pt>  0.68.0-4
- Fix egg-info location
- Exclude buildlib from installed files

* Wed Feb 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-3
- Correct files section

* Sat Feb 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-2
- Fix BRs

* Mon Jan 28 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 0.68.0-1
- First release
